# Designing with Clarity

Clarity provides design assets that help designers get started. These assets should be used in a design process that aligns with the Clarity Design System. To jump start your project and align with the Clarity Design System you should download the font resources below and have them installed on your computer. Set up a [free tier Figma](https://www.figma.com/pricing/) account to get started with the Clarity themes, icons and color libraries.

<div class="clr-row">

<div class="clr-col-md-6 clr-col-sm-12">

<div cds-layout="vertical gap:sm align:horizontal-stretch">

<div>

## Primary Font

The default font intended for use with Clarity is [Clarity City](https://github.com/vmware/clarity-city). Download and install the font files on your computer to make sure it is available when using the assets below.

<div cds-layout="m-t:md">
<a class="btn btn-primary asset-download-btn" target="_blank" href="https://github.com/vmware/clarity-city/archive/v1.0.0.zip"><cds-icon shape="download" inverse></cds-icon> Clarity City (1.0.0)</a>
</div>

</div>

<div>

## Icon Assets

We provide a convenient zip of all icon files. This download includes all svg files for the icons available in the library.

<div  cds-layout="m-t:md">
<a class="btn btn-primary asset-download-btn" target="_blank" href="https://github.com/vmware/clarity-assets/archive/master.zip"><cds-icon shape="download" inverse></cds-icon> Icon Files (svg)</a>
</div>

</div>

</div>

</div>

<div class="clr-col-md-6 clr-col-sm-12">

## Figma Libraries

Clarity uses the popular design tool [Figma](https://www.figma.com/) when designing and documenting components and foundations. Bookmark these resources to re-use Clarity assets in your design process.

<div  cds-layout="m-t:md">
<a class="btn btn-primary asset-download-btn" target="_blank" href="https://www.figma.com/file/v2mkhzKQdhECXOx8BElgdA/Clarity-UI-Library-light-2.2.0"><cds-icon shape="download" inverse></cds-icon> UI Library - Light (2.2.0)</a>
</div>
<div>
<a class="btn btn-primary asset-download-btn" target="_blank" href="https://www.figma.com/file/wRYSrWSffZXcdQuiolwkym/Clarity-UI-Library-dark-2.2.0"><cds-icon shape="download" inverse></cds-icon> UI Library - Dark (2.2.0)</a>
</div>
<div>
<a class="btn btn-primary asset-download-btn" target="_blank" href="https://www.figma.com/file/40gaW7S2yP7B0ME6QNDEsR/Clarity-Icons-2.2.0"><cds-icon shape="download" inverse></cds-icon> Icon Library (2.2.0)</a>
</div>
<div>
<a class="btn btn-primary asset-download-btn" target="_blank" href="https://www.figma.com/file/mxn3xoLg2mkjMqf5GGYUzw/Clarity-Colors-2.2.0"><cds-icon shape="download" inverse></cds-icon> Color Library (2.2.0)</a>
</div>

</div>

</div>
